openSUSE Security Update : wireshark (openSUSE-SU-2014:0382-1)

High Nessus Plugin ID 75295

New! Vulnerability Priority Rating (VPR)

Tenable calculates a dynamic VPR for every vulnerability. VPR combines vulnerability information with threat intelligence and machine learning algorithms to predict which vulnerabilities are most likely to be exploited in attacks. Read more about what VPR is and how it's different from CVSS.

VPR Score: 8.9

Synopsis

The remote openSUSE host is missing a security update.

Description

Wireshark was updated to version 1.8.13 on openSUSE 12.3 and 1.10.6 on openSUSE 13.1 to fix security issues and bugs.

Wireshark update to 1.8.13 [bnc#867485]

+ vulnerabilities fixed :

- The NFS dissector could crash wnpa-sec-2014-01 CVE-2014-2281

- The RLC dissector could crash wnpa-sec-2014-03 CVE-2014-2283

- The MPEG file parser could overflow a buffer wnpa-sec-2014-04 CVE-2014-2299

+ Further bug fixes and updated protocol support as listed in:
https://www.wireshark.org/docs/relnotes/wireshark-1.8.13 .html

Wireshark update to 1.10.6 [bnc#867485]

+ vulnerabilities fixed :

- The NFS dissector could crash wnpa-sec-2014-01 CVE-2014-2281

- The M3UA dissector could crash wnpa-sec-2014-02 CVE-2014-2282

- The RLC dissector could crash wnpa-sec-2014-03 CVE-2014-2283

- The MPEG file parser could overflow a buffer wnpa-sec-2014-04 CVE-2014-2299

+ Further bug fixes and updated protocol support as listed in:
https://www.wireshark.org/docs/relnotes/wireshark-1.10.6 .html

Solution

Update the affected wireshark packages.

See Also

https://bugzilla.novell.com/show_bug.cgi?id=867485

https://lists.opensuse.org/opensuse-updates/2014-03/msg00046.html

https://www.wireshark.org/docs/relnotes/wireshark-1.10.6.html

https://www.wireshark.org/docs/relnotes/wireshark-1.8.13.html

Plugin Details

Severity: High

ID: 75295

File Name: openSUSE-2014-214.nasl

Version: 1.7

Type: local

Agent: unix

Published: 2014/06/13

Updated: 2020/06/04

Dependencies: 12634

Risk Information

Risk Factor: High

VPR Score: 8.9

CVSS v2.0

Base Score: 9.3

Temporal Score: 7.3

Vector: CVSS2#AV:N/AC:M/Au:N/C:C/I:C/A:C

Temporal Vector: CVSS2#E:POC/RL:OF/RC:C

Vulnerability Information

CPE: p-cpe:/a:novell:opensuse:wireshark, p-cpe:/a:novell:opensuse:wireshark-debuginfo, p-cpe:/a:novell:opensuse:wireshark-debugsource, p-cpe:/a:novell:opensuse:wireshark-devel, cpe:/o:novell:opensuse:12.3, cpe:/o:novell:opensuse:13.1

Required KB Items: Host/local_checks_enabled, Host/SuSE/release, Host/SuSE/rpm-list, Host/cpu

Exploit Available: true

Exploit Ease: Exploits are available

Patch Publication Date: 2014/03/08

Exploitable With

Core Impact

Metasploit (Wireshark wiretap/mpeg.c Stack Buffer Overflow)

Reference Information

CVE: CVE-2014-2281, CVE-2014-2282, CVE-2014-2283, CVE-2014-2299

BID: 66066, 66068, 66070, 66072